<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>User Index</title>
    <link rel="stylesheet" th:href="@{/css/bootstrap.min.css}" />
    <link rel="stylesheet" th:href="@{/css/style.css}" />
</head>

<body>
    <input type="hidden" id="user" th:value="${userName}">
    <div class="container">
        <div class="row">
            <div class="col-8">
                <br>
                <br>
                <h1>Welcome to Shop <span th:text="${userName}"></span></h1>
                <hr>
                <div class="row col-12">
                    <div th:each="prod : ${products}" class="col-4">
                        <div class="card">
                            <a class="pop">
                            	<img class="card-img-top cover" th:src="@{'/images/' + ${prod.image}}" alt="Card image cap">
                        	</a>
                            <div class="card-block">
                                <h5 class="card-title" th:text="${prod.productName}"></h5>
                                <p class="card-text">Price: <span th:text="${prod.price}"></span></p>
                                <button type="button" class="btn btn-primary float-right addProduct" th:attr="data-prod=${prod.productName}, data-price=${prod.price}">Add</button>
                            </div>
                        </div>
                        <br>
                    </div>
                </div>
            </div>
            <div class="col-4">
                <br>
                <br>
                <div class="row">
                    <div class="col-12">
                        <a th:href="@{/logout}" class="float-right">Logout</a>
                    </div>
                </div>
                <br>
                <div class="card">
                    <div class="card-header card-success">
                        <h4>Cart</h4>
                    </div>
                    <div class="card-block">
                        <h5>Total Price : <span id="totalPrice"></span></h5>
                        <table class="table">
                            <thead>
                                <th>Product</th>
                                <th>Quantity</th>
                                <th>Remove</th>
                            </thead>
                            <tbody id="addedProducts">
                                <tr>
                                </tr>
                            </tbody>
                        </table>
                        <button class="btn btn-primary submitProducts" data-toggle="modal" data-target="#myModal" disabled="disabled">Check Out</button>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-12">
                        <a th:href="@{/user/history}" class="btn btn-info btn-block">Transaction History</a>
                    </div>
                </div>
                </dv>
            </div>
            <!-- The Modal -->
            <div class="modal fade" id="myModal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <!-- Modal Header -->
                        <div class="modal-header">
                            <h4 class="modal-title">Purchase Successful</h4>
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <!-- Modal body -->
                        <div class="modal-body">
                            Congratulations! The admin is now processing your orders.
                        </div>
                        <!-- Modal footer -->
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary reloadPage" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" data-dismiss="modal">
                <div class="modal-content">
                    <div class="modal-body">
                        <img src="" class="imagepreview" style="width: 100%;">
                    </div>
                </div>
            </div>
        </div>
        <script th:src="@{/js/jquery.min.js}"></script>
        <script th:src="@{/js/custom.js}"></script>
        <script src="https://npmcdn.com/tether@1.2.4/dist/js/tether.min.js"></script>
        <script th:src="@{/js/bootstrap.min.js}"></script>
</body>

</html>